Bug 62702 - skipjack-beta1: Add "NEWBIES STOP NOW" warning to Betas
skipjack-beta1: Add "NEWBIES STOP NOW" warning to Betas
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 11:48 EST by Ed Halley
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-25 17:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-04-04 11:48:38 EST
There needs to be more awareness in the user community that Beta Means Beta,
that incomplete software has inherent risks, and that people need to be more
proactive in finding their own solutions and reporting problems found in a beta
release of Red Hat Linux.

I propose a message in the up2date messages, installer-supplied LILO prompts,
and in the initial anaconda screens, that attempts to make that more clear.  An
example wording may be as follows.

    This is a beta pre-release product, and as such, it is not complete.
    Expect to find issues that limit its functionality or destroy data.
    There is no technical support on this release of Red Hat Linux.
    There are no warranties expressed or implied for this release.
    This beta product is not recommended for the inexperienced user.
    Please use Bugzilla to search for known issues or report new ones.
    -> http://bugzilla.redhat.com/

I understand that this would make a new variable in the rollout, that this
message would need to be removed from final releases.  I think there should be a
way to do this reliably and consistently.

There are a very large number of inexperienced newcomers to Linux who are being
pointed rashly toward trying Skipjack and other beta releases as a "fix" for
problems.  While some folks are trying to make it clear that Beta Means Beta, a
prominent warning may save a few other neophytes from getting a bad experience
with what they thought was the recommended Linux release.

Additional Information:
-----------------------

<BucWheat> ahhhh i can't up2date -u on skipjack!
<BucWheat> 404: "Not Found" while attempting to get [blah blah blah]
<BucWheat> mharris: fix that
<mharris> Like I have anything to do with RHN/up2date...
<Speare> BucWheat, have you filed bugs with Bugzilla before?
<BucWheat> Speare: no i haven't
<Speare> Maybe there needs to be a GIANT *&$#!% WARNING on the first
         screen of anaconda for betas, that reads, IF YOU DON'T USE
         BUGZILLA, STOP NOW.
<mharris> Speare: Can you file that RFE in bugzilla please?
Comment 1 Jeremy Katz 2002-04-05 14:30:58 EST
Too late to do anything for this release cycle.  Deferring to look at again next
time around.
Comment 2 Mike McLean 2002-07-18 13:03:17 EDT
This appears to be in place now, at least for anaconda (which this bug is
currently filed against).
Comment 3 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.